﻿//*****************************
//创始人:王博 sonic
//2008/7/19
//msn:sonic1abc@hotmail.com
//msn群:sonic.f@hotmail.com
//blog:http://sonic1abc.cnblogs.com/
//北京银光开发团队 SYMBIO
//****************************
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO.IsolatedStorage;

namespace SilverlightApplication11
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
            IsolatedStorageBind();
        }

        private void IsolatedStorageBind()
        {
            using (IsolatedStorageFile isf = IsolatedStorageFile.GetUserStoreForApplication())
            {
                txtAvailable.Text = "Available = " + isf.AvailableFreeSpace.ToString() + " bytes";//这里是剩余空间
                txtQuota.Text = "Quota = " + isf.Quota.ToString() + " bytes";//这里是当前的限额
                txtused.Text = "Used = " + (isf.Quota - isf.AvailableFreeSpace).ToString() + " bytes";//这里是用户已经使用的空间
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            using (IsolatedStorageFile isf = IsolatedStorageFile.GetUserStoreForApplication())
            {
                try
                {
                    if (true == isf.IncreaseQuotaTo((Convert.ToInt64(newQuota.Text)) * 1048576))
                    {
                       System.Windows.Browser.HtmlPage.Window.Alert("限额更改成功.");
                    }
                    else
                    {
                        System.Windows.Browser.HtmlPage.Window.Alert("限额更改失败.");
                    }
                }
                catch (Exception ex)
                {
                    System.Windows.Browser.HtmlPage.Window.Alert(ex.Message);
                }
                IsolatedStorageBind();
            }
        }
    }
}
